/*
 * L0.cpp
 *
 *  Created on: Jan 22, 2013
 *      Author: tuleu
 */

#include "L0.h"

#include <liboncilla-webots/Common.h>
#include <webots/Servo.hpp>


namespace liboncilla {
namespace webots {

L0::L0(const std::string & name,
       ::webots::Servo * servo)
	: rci::oncilla::L0(name)
	, d_servo(*servo){
	if(!servo){
		throw std::out_of_range("Could not find Servo node for " + name);
	}
}

L0::~L0(){
}

void L0::PreStep(double ){
	d_servo.setPosition(getLastPositionCommand()->rad(0));
}


} /* namespace webots */
} /* namespace liboncilla */
