/*
 * L0.h
 *
 *  Created on: Jan 22, 2013
 *      Author: tuleu
 */

#ifndef LIBONCILLA_WEBOTS_L0_H_
#define LIBONCILLA_WEBOTS_L0_H_

#include <liboncilla/nodes/L0.h>
#include "NodeAdapter.h"
#include <liboncilla-webots/Common.h>

namespace webots{
	class Servo;
}

namespace liboncilla {
namespace webots {

class L0 : public rci::oncilla::L0,
           public NodeAdapter {
public:
	L0(const std::string & name,
	   ::webots::Servo * servo);
	virtual ~L0();

	virtual void PreStep(double );

	virtual rci::ForcesPtr getForces() const{
		NOT_IMPLEMENTED_STUB(L0,getForces);
	}

private :

	::webots::Servo & d_servo;

};

} /* namespace webots */
} /* namespace liboncilla */
#endif /* LIBONCILLA_WEBOTS_L0_H_ */
