/**
 * \file L3.h
 *
 *  \date Jan 22, 2013
 *  \author tuleu
 */

#ifndef LIBONCILLA_WEBOTS_L3_H_
#define LIBONCILLA_WEBOTS_L3_H_

#include <liboncilla/nodes/L3.h>
#include "NodeAdapter.h"
#include <liboncilla-webots/Common.h>

namespace webots{
	class Servo;
}

namespace liboncilla {
namespace webots {

class L3 : public rci::oncilla::L3,
           public NodeAdapter {
public:
	L3(const std::string & name,
	   ::webots::Servo * servo);
	virtual ~L3();

	virtual void Activate();
	virtual void Deactivate();
	virtual void PostStep(double );
private :
	::webots::Servo & d_servo;
};

} /* namespace webots */
} /* namespace liboncilla */
#endif /* LIBONCILLA_WEBOTS_L3_H_ */
