/**
 * \file SupervisorTrunk.h
 *
 *  \date Jan 22, 2013
 *  \author tuleu
 */

#ifndef LIBONCILLA_WEBOTS_SUPERVISORTRUNK_H_
#define LIBONCILLA_WEBOTS_SUPERVISORTRUNK_H_

#include <liboncilla/nodes/SupervisorTrunk.h>
#include "NodeAdapter.h"
#include <liboncilla-webots/Common.h>

#include <webots/Node.hpp>

namespace liboncilla {
namespace webots {

class SupervisorTrunk : public rci::oncilla::SupervisorTrunk,
                        public NodeAdapter{
public:
	SupervisorTrunk(::webots::Node * node);
	virtual ~SupervisorTrunk();


	virtual void PostStep(double ts);

private :

	::webots::Node * d_node;

};

} /* namespace webots */
} /* namespace liboncilla */
#endif /* LIBONCILLA_WEBOTS_SUPERVISORTRUNK_H_ */
